Bug 18243 - Bug 16034 follow-up: better handling of absence of WebService::ILS::OverDrive::Patron at testing
Summary: Bug 16034 follow-up: better handling of absence of WebService::ILS::OverDrive...
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Test Suite (show other bugs)
Version: master
Hardware: All All
: P5 - low normal (vote)
Target Milestone: ---
Assignee: Srdjan Jankovic
QA Contact: Jonathan Druart
URL:
Whiteboard:
Keywords:
Depends on: 16034
Blocks:
  Show dependency treegraph
 
Reported: 2017-03-10 07:14 UTC by Srdjan Jankovic
Modified: 2017-12-07 22:16 UTC (History)
4 users (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:


Attachments
Bug 18243: 16034 follow-up: better handling of absence of WebService::ILS::OverDrive::Patron at testing (1.09 KB, patch)
2017-03-10 07:19 UTC, Srdjan Jankovic
Details | Diff | Splinter Review
Bug 18243: 16034 follow-up: better handling of absence of WebService::ILS::OverDrive::Patron at testing (1.49 KB, patch)
2017-03-13 09:54 UTC, Nick Clemens
Details | Diff | Splinter Review
Bug 18243: 16034 follow-up: better handling of absence of WebService::ILS::OverDrive::Patron at testing (1.56 KB, patch)
2017-03-13 14:27 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 18243: 16034 follow-up: Conditionally test Koha::ExternalContent::* modules loading (1.19 KB, patch)
2017-03-13 23:30 UTC, Srdjan Jankovic
Details | Diff | Splinter Review
Bug 18243: 16034 follow-up: better handling of absence of WebService::ILS::OverDrive::Patron at testing (1.63 KB, patch)
2017-03-14 13:16 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 18243: 16034 follow-up: Conditionally test Koha::ExternalContent::* modules loading (1.26 KB, patch)
2017-03-14 13:16 UTC, Jonathan Druart
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Srdjan Jankovic 2017-03-10 07:14:49 UTC

    
Comment 1 Srdjan Jankovic 2017-03-10 07:19:39 UTC
Created attachment 60974 [details] [review]
Bug 18243: 16034 follow-up: better handling of absence of WebService::ILS::OverDrive::Patron at testing
Comment 2 Nick Clemens 2017-03-13 09:54:09 UTC
Created attachment 61017 [details] [review]
Bug 18243: 16034 follow-up: better handling of absence of WebService::ILS::OverDrive::Patron at testing

To test:
1 - Make sure you don't have WebService::ILS::OverDrive::Patron
installed
2 - prove t/Koha_ExternalContent_OverDrive.t
3 - You should get a failure to load module and tests are skipped
4 - Apply patch
5 - prove t/Koha_ExternalContent_OverDrive.t
6 - Module is not loaded, test are skipped

Fixed small typo 'cannot filnd' -> 'cannot find'
Signed-off-by: Nick Clemens <nick@bywatersolutions.com>
Comment 3 Jonathan Druart 2017-03-13 14:27:57 UTC
Created attachment 61039 [details] [review]
Bug 18243: 16034 follow-up: better handling of absence of WebService::ILS::OverDrive::Patron at testing

To test:
1 - Make sure you don't have WebService::ILS::OverDrive::Patron
installed
2 - prove t/Koha_ExternalContent_OverDrive.t
3 - You should get a failure to load module and tests are skipped
4 - Apply patch
5 - prove t/Koha_ExternalContent_OverDrive.t
6 - Module is not loaded, test are skipped

Fixed small typo 'cannot filnd' -> 'cannot find'
Signed-off-by: Nick Clemens <nick@bywatersolutions.com>

Signed-off-by: Jonathan Druart <jonathan.druart@bugs.koha-community.org>
Comment 4 Srdjan Jankovic 2017-03-13 23:30:45 UTC
Created attachment 61055 [details] [review]
Bug 18243: 16034 follow-up: Conditionally test Koha::ExternalContent::* modules loading

To test:
1 - Make sure you don't have WebService::ILS installed
2 - prove t/00-load.t
3 - You should get a failure to load module and tests are skipped
4 - Apply patch
5 - prove t/00-load.t
6 - Module is not loaded, test are skipped
Optional:
7 - Install WebService::ILS
5 - prove t/00-load.t
6 - Module is loaded, test passes
Comment 5 Srdjan Jankovic 2017-03-13 23:32:21 UTC
Apologies for the late submission.
Comment 6 Jonathan Druart 2017-03-14 13:16:10 UTC
Created attachment 61063 [details] [review]
Bug 18243: 16034 follow-up: better handling of absence of WebService::ILS::OverDrive::Patron at testing

To test:
1 - Make sure you don't have WebService::ILS::OverDrive::Patron
installed
2 - prove t/Koha_ExternalContent_OverDrive.t
3 - You should get a failure to load module and tests are skipped
4 - Apply patch
5 - prove t/Koha_ExternalContent_OverDrive.t
6 - Module is not loaded, test are skipped

Fixed small typo 'cannot filnd' -> 'cannot find'
Signed-off-by: Nick Clemens <nick@bywatersolutions.com>

Signed-off-by: Jonathan Druart <jonathan.druart@bugs.koha-community.org>

Signed-off-by: Jonathan Druart <jonathan.druart@bugs.koha-community.org>
Comment 7 Jonathan Druart 2017-03-14 13:16:15 UTC
Created attachment 61064 [details] [review]
Bug 18243: 16034 follow-up: Conditionally test Koha::ExternalContent::* modules loading

To test:
1 - Make sure you don't have WebService::ILS installed
2 - prove t/00-load.t
3 - You should get a failure to load module and tests are skipped
4 - Apply patch
5 - prove t/00-load.t
6 - Module is not loaded, test are skipped
Optional:
7 - Install WebService::ILS
5 - prove t/00-load.t
6 - Module is loaded, test passes

Signed-off-by: Jonathan Druart <jonathan.druart@bugs.koha-community.org>
Comment 8 Jonathan Druart 2017-03-14 13:16:35 UTC
Ok thanks, skipping QA.
Comment 9 Mirko Tietgen 2017-03-20 11:28:09 UTC
Fixes the problem for the nightly builds too, please push.
Comment 10 Kyle M Hall 2017-03-20 15:28:47 UTC
Pushed to master for 17.05, thanks Srdjan!
Comment 11 Katrin Fischer 2017-03-26 19:43:51 UTC
Depends on bug 16034 which is not in 16.11.x.